#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
%define		pyqt		PyQt5
%define		__python	/usr/bin/python3
%define		pyt3num		%(%{__python} --version | cut -d ' ' -f2 | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	python3-sip
Version		:	6.8.0
Release		:	17.0.10.rel%{?dist}
Summary		:	SIP - Python/C++ Bindings Generator
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2 or GPLv3 and (GPLv3+ with exceptions)
URL		:	https://pypi.org/project/sip/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
SIP is a tool for generating bindings for C++ classes so that they can
be accessed as normal Python classes. SIP takes many of its ideas from
SWIG but, because it is specifically designed for C++ and Python, is
able to generate tighter bindings. SIP is so called because it is a
small SWIG.

SIP was originally designed to generate Python bindings for KDE and so
has explicit support for the signal slot mechanism used by the Qt/KDE
class libraries. However, SIP can be used to generate Python bindings
for any C++ class library.

SIP was compiled using Python version 2

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{sname}-*
%{python3_sitearch}/%{sname}build/*.py
%{python3_sitearch}/%{sname}build/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/distinfo/*.py
%{python3_sitearch}/%{sname}build/distinfo/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/*.py
%{python3_sitearch}/%{sname}build/generator/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/outputs/*.py
%{python3_sitearch}/%{sname}build/generator/outputs/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/outputs/formatters/*.py
%{python3_sitearch}/%{sname}build/generator/outputs/formatters/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/parser/*.py
%{python3_sitearch}/%{sname}build/generator/parser/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/parser/ply/*.py
%{python3_sitearch}/%{sname}build/generator/parser/ply/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/generator/resolver/*.py
%{python3_sitearch}/%{sname}build/generator/resolver/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/module/*.py
%{python3_sitearch}/%{sname}build/module/__pycache__/*.pyc
%{python3_sitearch}/%{sname}build/module/source/12/*
%{python3_sitearch}/%{sname}build/module/source/13/*
%{python3_sitearch}/%{sname}build/tools/*.py
%{python3_sitearch}/%{sname}build/tools/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
